﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace ScaleBarTest
{
  /// <summary>
  /// Interaction logic for MainWindow.xaml
  /// </summary>
  public partial class MainWindow : Window
  {
    public MainWindow()
    {
      InitializeComponent();
    }

    private void m_Map_Loaded(object sender, RoutedEventArgs e)
    {
      m_Map.MapUnit = GeographyUnit.Meter;
      m_Map.CurrentExtent = new RectangleShape(-2500000, 2500000, 2500000, -2500000);
      m_Map.ZoomLevelSet = new OpenStreetMapsZoomLevelSet();

      LayerOverlay ov = new LayerOverlay();
      ov.Layers.Add(new GoogleMapsLayer());
      m_Map.Overlays.Add("ov", ov);

      ScaleBarAdornmentLayer scale = new ScaleBarAdornmentLayer();
      scale.Location = AdornmentLocation.LowerLeft;
      m_Map.AdornmentOverlay.Layers.Add(scale);
      
      m_Map.Refresh();
    }
  }
}
